diff -Naur /usr/src/binutils/debian/rules debian/rules
--- /usr/src/binutils/debian/rules	2012-08-22 16:16:16.000000000 +0200
+++ debian/rules	2012-08-31 14:18:33.770224213 +0200
@@ -105,7 +105,8 @@
   CROSS := $(DEB_HOST_GNU_TYPE)-
   CC   = $(CROSS)gcc
   CXX  = $(CROSS)g++
-  STRIP= $(CROSS)strip --remove-section=.comment --remove-section=.note
+  STRIP= $(CURDIR)/debian/strip.cross
+  #$(CROSS)strip --remove-section=.comment --remove-section=.note
   install_binary = install -m 755 -s --strip-program="$(STRIP)"
 endif
 
@@ -311,9 +312,12 @@
 	-rm -rf debian/patched debian/tmp debian/files* debian/substvars
 	-rm -f debian/*.orig debian/*.rej
 	-rm -rf $(d_cross) debian/files debian/substvars 
-	-rm -rf builddir-$(TARGET) {configure,build,install}-cross-stamp
+	-rm -rf builddir-$(TARGET) {configure,build,install}-cross-stamp ontrol-stamp
+	-rm -rf debian/strip.cross
+	cp debian/control.in debian/control
 	for i in debian/*.in; do \
 	    case "$$i" in debian/control*.in) continue; esac; \
+	    case "$$i" in debian/strip.cross.in) continue; esac; \
 	    rm -f $${i%*.in}; \
 	done
 
@@ -321,7 +325,7 @@
 
 ################################################################################
 
-debian/control: debian/control.in $(if $(TARGET),debian/control.cross.in)
+control-stamp: debian/control.in $(if $(TARGET),debian/control.cross.in)
 ifneq (,$(TARGET))
 	sed "/^$$/ q" < debian/control.in > debian/control
 	sed -e "s/__TARGET__/$$(echo -n $(TARGET) | sed s/_/-/g)/" \
@@ -329,6 +333,12 @@
 else
 	cp debian/control.in debian/control
 endif
+ifneq (,$(CROSS))
+	sed -e "s/__TARGET__/$$(echo -n $(CROSS) | sed s/_/-/g)/" \
+                 < debian/strip.cross.in >> debian/strip.cross
+	chmod 755 debian/strip.cross
+endif
+	touch $@
 
 #######################
 # single-arch targets #
@@ -339,7 +349,7 @@
 	SINGLE_CONFARGS += --enable-ld=default --enable-gold
 endif
 
-configure-single-stamp: patch-stamp debian/control
+configure-single-stamp: patch-stamp control-stamp
 	$(checkdir)
 
 ifeq ($(with_check),yes)
@@ -919,7 +929,6 @@
 	dpkg --build $(d_cross) ..
 
 else
-	cp debian/control.in debian/control
 	: # generate some control & helper files
 	nver=$$(echo $(DEB_UPSTREAM) | awk -F. '{ OFS="."; $$NF=$$NF+1; print }'); \
 	for i in debian/*.in; do \
@@ -1191,7 +1200,7 @@
   CONFARGS += --enable-ld=default --enable-gold
 endif
 
-configure-cross-stamp: patch-stamp debian/control
+configure-cross-stamp: patch-stamp control-stamp
 	$(checkdir)
 	test "" != "$(TARGET)"
 	rm -rf configure-cross-stamp builddir-$(TARGET)
diff -Naur /usr/src/binutils/debian/strip.cross.in debian/strip.cross.in
--- /usr/src/binutils/debian/strip.cross.in	1970-01-01 01:00:00.000000000 +0100
+++ debian/strip.cross.in	2012-08-31 13:27:28.766166672 +0200
@@ -0,0 +1 @@
+__TARGET__strip --remove-section=.commend --remove-section=.note $*
